version: '3.8'

services: 
  app:
    build:
      context: .
      dockerfile: Dockerfile
      args:
        # [Choice] PHP version: 7, 7.4, 7.3
        VARIANT: "7"
        # [Option] Install Node.js
        INSTALL_NODE: "true"
        NODE_VERSION: "lts/*"
        # On Linux, you may need to update USER_UID and USER_GID below if not your local UID is not 1000.
        USER_UID: 1000
        USER_GID: 1000

    volumes:
      - ..:/workspace:cached

    # Overrides default command so things don't shut down after the process ends.
    command: sleep infinity

    # Runs app on the same network as the database container, allows "forwardPorts" in devcontainer.json function.
    network_mode: service:db

    # Uncomment the next line to use a non-root user for all processes.
    # user: vscode

    # Use "forwardPorts" in **devcontainer.json** to forward an app port locally. 
    # (Adding the "ports" property to this file will not forward from a Codespace.)

  db:
    image: mariadb:10.4
    restart: unless-stopped
    volumes:
      - mariadb-data:/var/lib/mysql
    environment:
      MYSQL_ROOT_PASSWORD: mariadb
      MYSQL_DATABASE: mariadb
      MYSQL_USER: mariadb
      MYSQL_PASSWORD: mariadb

    # Add "forwardPorts": ["3306"] to **devcontainer.json** to forward MariaDB locally.
    # (Adding the "ports" property to this file will not forward from a Codespace.)
  
volumes:
  mariadb-data:
